<?php

namespace App\Modules\BookingUpgrade\Application\UpdatePartial;

use App\Modules\BookingUpgrade\Domain\BookingUpgrade;
use App\Modules\BookingUpgrade\Domain\BookingUpgradeRepository;

final class BookingUpgradePartialUpdater
{
    public function __construct(
        private BookingUpgradeRepository $repository
    ) {}

    public function __invoke(
        BookingUpgrade $model,
    ) {
        return $this->repository->updatePartial($model);
    }
}
